package de.intevation.gnv.math;

import java.util.Comparator;

import com.vividsolutions.jts.geom.Coordinate;

/**
 *  @author Sascha L. Teichmann
 */
public  class L1Comparator
implements    Comparator
{
    private Coordinate ref;

    public L1Comparator() {
    }

    public L1Comparator(Coordinate ref) {
        this.ref = ref;
    }

    public void setReference(Coordinate ref) {
        this.ref = ref;
    }

    public int compare(Object a, Object b) {
        Coordinate pa = (Coordinate)a;
        Coordinate pb = (Coordinate)b;
        double da = Point2d.L1(ref, pa);
        double db = Point2d.L1(ref, pb);
        if (da < db) return -1;
        if (da > db) return +1;
        return 0;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:

